%define module	scikit-learn
%define name	python-%{module}
%define version	0.12
%define	rel		1
%if %mdkversion < 201100
%define release %mkrel 1
%else
%define	release	%rel
%endif

Summary:	Python modules for machine learning and data mining
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://scikit-learn.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	blas-devel
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.3
BuildRequires:	python-scipy >= 0.7
BuildRequires:	python-sphinx, python-matplotlib
# BuildRequires:	python-nose >= 0.10, python-coverage
%py_requires -d

%description
scikit-learn is a Python module for machine learning built on top of SciPy.

%prep
%setup -q -n %{module}-%{version}

%build
%__python setup.py build
pushd doc
export PYTHONPATH=`ls -1d ../build/lib* | head -1`
make html
popd

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

# Disable checks because of semaphore problem on Mandriva build cluster:
#%check
#pushd %{buildroot}%{py_platsitedir}/scikits
#nosetests
#popd

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS.rst README.rst examples/ doc/_build/html/
%py_platsitedir/scikit_learn*
%py_platsitedir/sklearn*


%changelog
* Mon Sep 10 2012 Lev Givon <lev@mandriva.org> 0.12-1
+ Revision: 816700
- Rename to python-scikit-learn.
- Update to 0.12.

* Wed Mar 09 2011 Lev Givon <lev@mandriva.org> 0.7.1-1
+ Revision: 643097
- Update to 0.7.1.

* Thu Dec 23 2010 Lev Givon <lev@mandriva.org> 0.6-1mdv2011.0
+ Revision: 624194
- Add patch to link extensions against libm.
- Update to 0.6.

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.5-2mdv2011.0
+ Revision: 594036
- rebuld for py 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.5-1mdv2011.0
+ Revision: 586971
- import python-scikits-learn

